Subject: bug#9754: Issue with Emacs 23.4

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 May 2012 22:23:09 -0400

> OK with me.  Should I go ahead and apply it to the trunk?  Or is it
> appropriate for the emacs-24 branch since it fixes a Cygwin crash?  I guess
> that's up to Stefan and Chong, so I've added them to the CC.

I don't understand the potential consequences of this patch, so I can't
really judge if it's appropriate for the emacs-24 branch.  At least it
doesn't seem "obviously correct" to me: what if the user opens up an
X frame after starting "emacs -nw"?  Are we sure we never need the Glib
loop (IIRC nowadays Glib is used not just for Gtk but also for other
things, like maybe D-Bus?).

        Stefan